## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 6;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 27
%bcond check 1
%global debug_package %{nil}

%global crate fatfs

Name:           rust-fatfs
Version:        0.3.6
Release:        %autorelease
Summary:        FAT filesystem library

License:        MIT
URL:            https://crates.io/crates/fatfs
Source:         %{crates_source}
Source2:        https://github.com/rafalh/rust-fatfs/raw/v%{version}/resources/fat12.img
Source3:        https://github.com/rafalh/rust-fatfs/raw/v%{version}/resources/fat16.img
Source4:        https://github.com/rafalh/rust-fatfs/raw/v%{version}/resources/fat32.img
# Manually created patch for downstream crate metadata changes
# * drop unused optional core_io dependency
# * bump env_logger dev-dependency from 0.5 to 0.11
Patch:          fatfs-fix-metadata.diff

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
FAT filesystem library.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE.txt
%doc %{crate_instdir}/CHANGELOG.md
%doc %{crate_instdir}/README.md
%doc %{crate_instdir}/TODO.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+alloc-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+alloc-devel %{_description}

This package contains library source intended for building other packages which
use the "alloc" feature of the "%{crate}" crate.

%files       -n %{name}+alloc-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+chrono-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+chrono-devel %{_description}

This package contains library source intended for building other packages which
use the "chrono" feature of the "%{crate}" crate.

%files       -n %{name}+chrono-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+std-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+std-devel %{_description}

This package contains library source intended for building other packages which
use the "std" feature of the "%{crate}" crate.

%files       -n %{name}+std-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep
mkdir resources
cp -p %{SOURCE2} %{SOURCE3} %{SOURCE4} resources/

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%ifarch armv7hl %{ix86}
# * skip tests that cause integer overflow on 32-bit architectures
%cargo_test -- -- --skip test_format_512mb_512sec --skip test_format_empty_volume_label --skip test_format_volume_label_and_id
%else
%cargo_test
%endif
%endif

%changelog
## START: Generated by rpmautospec
* Thu Dec 05 2024 Fabio Valentini <decathorpe@gmail.com> - 0.3.6-6
- Bump env_logger dev-dependency from 0.5 to 0.11

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.6-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.6-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.6-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Sat Jan 28 2023 Fabio Valentini <decathorpe@gmail.com> - 0.3.6-2
- Skip tests that cause integer overflow on 32-bit architectures

* Sat Jan 28 2023 Fabio Valentini <decathorpe@gmail.com> - 0.3.6-1
- Update to version 0.3.6; Fixes RHBZ#2161446

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.5-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Wed Aug 03 2022 Davide Cavalca <dcavalca@fedoraproject.org> - 0.3.5-4
- Gate out broken test for armv7hl as well

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Mon Feb 14 2022 Davide Cavalca <dcavalca@fedoraproject.org> - 0.3.5-2
- Gate out broken test on i686

* Sun Feb 13 2022 Davide Cavalca <dcavalca@fedoraproject.org> - 0.3.5-1
- Initial import; Fixes: RHBZ#1983876
## END: Generated by rpmautospec
